import react from "react";
import { useState, useEffect } from "react";
import { MapContainer, TileLayer, Marker, Popup } from "react-leaflet";
import { useMap } from 'react-leaflet';
import { Geolocation } from "@awesome-cordova-plugins/geolocation";

const LiveMap: react.FC = () => {
  const initialPosition: [number, number] = [44.73574, 6.18981];
  const [currentPosition, setCurrentposition] = useState(initialPosition);
  const theMap = useMap();

  useEffect(()=>{
    Geolocation.getCurrentPosition().then((position) =>
    {
      setCurrentposition([position.coords.latitude, position.coords.longitude]);
      theMap.setView([position.coords.latitude, position.coords.longitude], 13);
    }
  );

  }, [])
 
  return (
    <MapContainer center={initialPosition} zoom={13} scrollWheelZoom={false}>
      <TileLayer
        attribution='{"&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors"}'
        url="https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png"
      />
      <Marker position={currentPosition}>
        <Popup>
          A pretty CSS3 popup. <br /> Easily customizable.
        </Popup>
      </Marker>
    </MapContainer>
  );
};

export default LiveMap;
